.AddedToBagMSG {
	display: none;
	position: fixed;
	bottom: 16px;
	right: 16px;
	background-color: var(--color1);
	color: var(--background1);
	padding: 10px 20px;
	z-index:900000;
	border-radius: 40px;
	/* box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); */
	box-shadow: var(--box-shadow-img);
}

.AddedToBagMSG-checkout {
    font-weight: var(--fontweight_heavy);
    text-decoration: underline;
}

.cart-btn::part(base) {
  background: #311462CC;
  width: 64px;
  height: 64px;
  border-radius: 50%;
  position: fixed;
  z-index: 4;
  right: 5%;
  bottom: 180px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 0.5px solid var(--btnBackground);
  box-sizing: border-box;
}

.cart-btn::part(label) {
  padding: 0;
  height: 28px;
}

.cart-btn svg {
  stroke: #FBF9FC;
  height: 28px;
  width: 28px;
}

.cd-cart__count::part(base) {
  background: var(--Pink);
  height: 24px;
  width: 24px;
  border-color: var(--Pink);
  box-sizing: border-box;
  font-weight: var(--fontweight_max);
  color: var(--searchBar);
  margin-left: -18px;
  margin-bottom: -18px;
}

.cd-cart__content::part(panel) {
  background: var(--background);
}
sl-drawer.cd-cart__content::part(panel) {
  background: var(--background);
  border-radius: 24px 24px 0 0;
}

.cd-cart__content::part(header) {
  display: flex;
  align-items: center;
  border-bottom: 1px solid var(--menu);
}
.cd-cart__content::part(title) {
  font-size: var(--font_title);
  color: var(--textMain);
  text-align: center;
  font-weight: var(--fontweight_heavy);
}

.cd-cart__content::part(body) {
  padding: 16px 16px 24px 16px;
  display: flex;
  flex-direction: column;
  max-height:60vh;
}

.clear_cart {
    width: 25%;
}

.checkout_cart {
  width: 75%;
}

sl-button.clear_cart::part(base) {
    font-size: var(--font_large);
    background: transparent;
    border: transparent;
    color: var(--textSupport);
    height: 48px;
    display: flex;
    align-items: center;
}

.cd-cart__content::part(footer) {
  display: flex;
  border-top: 1px solid var(--menu);
  justify-content: center;
  gap: 12px;
}

sl-button.checkout_cart::part(base) {
    background: var(--Purple);
    color: var(--searchBar);
    border-radius: 31px;
    border: none;
    height: 48px;
    display: flex;
    align-items: center;
}

.cd-cart__body {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

#cart_all {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.cd-cart__product {
  max-width: 100%;
  width: 100%;
}

sl-card.cd-cart__footer::part(base), 
sl-card.cd-cart__product::part(base) {
  background: var(--searchBar);
  border-radius: 16px;
  display: flex;
  flex-direction: row;
  gap: 12px;
  width: 100%;
  padding: 16px 12px;
  border: none;
  box-shadow: none;
  justify-content: space-evenly;
  box-sizing: border-box;
  max-width: 100%;
}

sl-card.cd-cart__product::part(body) {
  padding: 0;
  /* height: 100px; */
  width: 393px;
}

.cd-cart__image, .cd-cart__image img, 
sl-card.cd-cart__product::part(image) {
  height: 100px;
  width: 100px;
  border-radius: 16px;
  max-width: 100px;
  min-width: 100px;
  object-fit: cover;
}

.cd-cart__details {
  display: flex;
  flex-direction: column;
  width: 100%;
  justify-content: space-between;
  gap: 12px;
  max-width: 100%;
}

.cd-details_header {
  display: flex;
  gap: 12px;
  justify-content: space-between;
  flex-direction: row;
}

.cd-cart__details .truncate {
  font-weight: var(--fontweight_500);
  line-height: 20px;
  color: var(--textMain);
  font-size: var(--font_main);
  width: 175px;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.cd-cart__delete-item {
  height: 20px;
  width: 20px;
  color: var(--textSecondary);
}

.cd-product__footer {
  display:flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.cd-variant {
  width: max-content;
  font-size: var(--font_main);
}
.cd-variant::part(base) {
  border-radius: 24px;
  color: var(--textMain);
  background: var(--background);
  width: 175px;
  border: none;
  font-size: var(--font_second);
  height: max-content;
  white-space: normal;
  font-family: var(--fontInter);
  line-height: 17px;
  padding: 5px 16px;
}

.cd-variant::part(content) {
  font-size: var(--font_second);
  width: 175px;
}

.cd-quantity {
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 95px;
  height: 32px;
  border: 1px solid var(--menu);
  border-radius: 31px;
  padding: 10px 12px;
  box-sizing: border-box;
  font-size: var(--font_main);
}

.cd-qty__btn {
  height: 20px;
  width: 20px;
}

.cd-qty__inc svg,
.cd-qty__dec svg{
  height: 20px;
  width: 20px;
  opacity:40%;
  color: var(--textSecondary);
}

.cd-qty {
  background: none;
  color: var(--textSecondary);
  font-weight: var(--fontweight_heavy);
  text-align: center;
}

.cd-price {
    display: flex;
    flex-direction: row;
    gap: 4px;
    height: 22px;
    align-items: baseline;
}

.cd-cart__price {
  color: var(--textSupport);
  font-size: var(--font_second);
  line-height: 14.52px;
}

.cd-price .cd-cart__price.no-sale {
  color: var(--textMain);
  font-weight: var(--fontweight_heavy);
}

.cd-price .cd-cart__price.no-sale .dollars{
  font-size: var(--font_large);
}

.cd-art__sale {
  color: var(--Pink);
  font-weight: var(--fontweight_heavy);
  font-size: var(--font_main);
  display: flex;
  align-items: baseline;
  height: 22px;
}

.cd-art__sale .dollars {
  font-size: var(--font_title);
}

.cd-cart__footer,
sl-card.cd-cart__footer::part(body),
sl-card.cd-cart__footer::part(base) {
  width: -webkit-fill-available;
}

sl-card.cd-cart__footer::part(body) {
  display: flex;
  flex-direction: column;
  gap: 12px;
  padding: 0;
}

.checkout_sum_contain {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.checkout_total {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid var(--menu);
    padding-bottom: 12px;
}

.total_text {
    display: flex;
    flex-direction: column;
    font-size: var(--font_title);
    color: var(--textMain);
}

.shipping_title {
    font-size: var(--font_second);
    color: var(--textSupport);
}

.total_header {
    font-weight: var(--fontweight_heavy);
}

.total_price {
    font-weight: var(--fontweight_heavy);
    font-size: var(--font_large);
    color: var(--textMain);
    display: flex;
    flex-direction: row;
    align-items: baseline;
}

.total_price .dollars {
    font-size: var(--font_title);
}

.total_savings,
.savings_title {
    color: var(--textSecondary);
    font-size: var(--font_main);
}

.checkout_sale {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding-bottom: 12px;
    border-bottom: 1px solid var(--menu);
}

.cd-top {
    font-size: var(--font_main);
}

/*Remove cart items*/
.remove_alert_msg img {
height: 32px;
width: 32px;
border-radius: 6px;
object-fit: cover;
}

.remove_alert_msg {
display: flex;
flex-direction: row;
gap: 8px;
align-items: center;
font-weight: var(--fontweight_heavy);
font-size: var(--font_main);
line-height: 20px;
}

#undo_removal {
font-weight: var(--fontweight_heavy);
font-size: var(--font_main);
line-height: 20px;
text-decoration: underline;
cursor: pointer;
}

.sl-toast-stack sl-alert#removeAlert::part(base) {
background: #080114B2;
border: none;
color: #FBF9FC;
border-radius: 16px;
box-sizing:border-box;
}

.sl-toast-stack sl-alert#removeAlert::part(message) {
display: flex;
justify-content: space-between;
align-items: center;
padding: 12px;
}

@media screen and (min-width: 1024px) {
    sl-dialog.cd-cart__content::part(panel) {
        border-radius: 24px;
        width: 625px;
    }

    .cd-cart__content::part(body) {
        padding: 16px 40px;
    }

    .cd-cart__body {
        gap: 12px;
    }

    #cart_all {
        gap: 8px;
    }

    sl-card.cd-cart__footer::part(base), sl-card.cd-cart__product::part(base) {
        gap: 20px;
        padding: 20px;
    }

    .cd-cart__details {
        max-width: none;
    }

    .cd-cart__details .truncate {
    width: 100%;
    }

    .cd-price, .total_price {
        height: 24px;
    }

    .total_savings,
    .cd-cart__price {
        font-size: var(--font_main);
        line-height: 16.94px;
    }

    .total_price,
    .cd-art__sale,
    .cd-price .cd-cart__price.no-sale {
        font-size: var(--font_large);
        height: 24px;
    }
    .total_price .dollars,
    .cd-art__sale .dollars,
    .cd-price .cd-cart__price.no-sale .dollars {
        font-size: 20px;
    }
}

@media screen and (min-width: 1280px){
	.cart-btn::part(base) {
		bottom: 120px;
	}
}